Problems with Requires.private

Albert Chin pkg-config at
Thu Jul 20 15:51:53 PDT 2006

What is the difference between Requires: and Requires.private:? I
though Requires.private wouldn't be required for dependent packages
but that seems to be the case.

cairo-1.0.4 has:
  Requires.private: freetype2 >= 8.0.2 fontconfig xrender libpng
and anything requiring cairo-1.0.4 needs these to be satisfied,
dispite the fact that none of cairo's include files depend on them.

albert chin (china at

More information about the pkg-config mailing list